#!/bin/bash -e
#
# prepare-raspbian-sd:bin/api/prepare-raspbian-api.sh
#

function print_variable {
  local -r varname="$1"

  if is_variable_define_and_not_empty_safe "${varname}" ; then
    echo "${!varname}"
  else
    echo '<<< not define >>>'
  fi
}

# param variable is mandatory
function test_P { # DEPRECATED instead use: xxx="$( P_param "$@" )" && shift || return $?
  local value=
  if ! value="$( P "$@" )" ; then
    # shellcheck disable=SC2154
    echofatal "Value required for '${param}'"
    usage >&2
    return 100
  fi
  echo "${value}"
}
