# prepare-libreelec-sd.md

Use `prepare-raspbian-sd` capacity to download and create SD Card for LibreElec


```

Prepare SD card with LibreElec

Usage: /usr/bin/prepare-libreelec-sd

   prepare-libreelec-sd --help
   prepare-libreelec-sd --arch ARCH [OPTIONS]...

Actions:

  -h,       --help          Display help message and exit.

            --arch ARCH     Define machine hardware name:
                            --arch armhf : Download Raspberry Pi 2, Raspberry Pi 3 version
                            --arch arm32 : Same as 'armhf'
                            --arch arm64 : Download Raspberry Pi 4 version

Options:

  --download-to DIR     Upload a new image if necessary in the given directory. If the option value is
                        omitted the value defined by RASPBIAN_DEFAULT_DOWNLOAD_IMAGE_DIRECTORY will be used.

  --dev-name DEVNAME    Forces the name of the device to be used for the SD card.

  --expected-img IMG    Expected image file name (no path). Mandatory with action --url does not download
                        the remote file if a local file is present.

```
